Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Google translate wont work on my firefox, it works fine on my Chrome and Safari, why?

  • 2 பதிலளிப்புகள்
  • 2 இந்த பிரச்னைகள் உள்ளது
  • 9 views
  • Last reply by cor-el

On my web site http://summer.hplct.org I have inserted the Google translate widget. The widget shows up but when I click on it to select a language the drop down menu never drops. This issue is only on Firefox, when I open my site on the Chrome or Safari Browser the Google Translate Widget works perfectly. Id hate to think that every user who is on Firefox is screwed if they don't speak English, its frustrating that such a dominant player in the browser market can't support such an essential tool as Google translate. Its not an issue on my end either, if it were I would have the same problem on the other Browsers, its a problem specific to Firefox. Please Fix it!

On my web site http://summer.hplct.org I have inserted the Google translate widget. The widget shows up but when I click on it to select a language the drop down menu never drops. This issue is only on Firefox, when I open my site on the Chrome or Safari Browser the Google Translate Widget works perfectly. Id hate to think that every user who is on Firefox is screwed if they don't speak English, its frustrating that such a dominant player in the browser market can't support such an essential tool as Google translate. Its not an issue on my end either, if it were I would have the same problem on the other Browsers, its a problem specific to Firefox. Please Fix it!

All Replies (2)

Worked for me.

The first time it picked up that I hadn't logged out of Gmail the last time I viewed my email there, and displayed my Gmail account name in the top panel. And then after I logged out from Gmail it continued to work.

To me, bringing up a person's Gmail account name raises a privacy concern. But that's something fro your legal staff to deal with when it comes to minors using your website. (hint: tracking)

Your system details list doesn't show that the Shockwave Flash plugin is installed and enabled.

You can find links to the latest Shockwave Flash player on this page:

This widget requires Adobe Flash to work properly, so check the location bar for a Lego block icon and make sure that you enable the Flash plugin once installed and enabled.